/*
 Write a simple comma seperated file to SD Card

*/

#include "simpletools.h"                      // Include simple tools
#include "FdSerial.h"                         // Add Steve(jazzed) FullDuplexSerial C version

int DO = 22, CLK = 23, DI = 24, CS = 25;
char myfilename[] = "MyData2.csv";
FILE* fp;
int RX = 5, TX = 4;                           // XBEE connected pins


int main()                                    // Main function
{
  int count = 0;
  int yval = 0;

    pause(1000);
    sd_mount(DO, CLK, DI, CS);
    fp = fopen(myfilename,"w");
    FdSerial_start(RX,TX,0,9600);              // Full Duplex serial to XBEE
    putchar(CLS);         //<<== HAVING THIS LINE CAUSES SD CARD WRITES TO GO TO TERMINAL(stdout I guess)

    // Wait for a key to be pressed on the terminal 
    char ch = getchar();

    // Write a text file
    printf("Writing file\n"); 
    for(int idx = 0;idx < 11;idx++) {
      count = idx;
      yval = 10 * count;
      fprintf(fp,"%d,%d\n",count,yval);
      pause(500);
    }
    fclose(fp);
    printf("Done Writing File\n");
    
}
